
This builds from the previous challenge. You need to have the code built out from the previous challenge.

Mimic:
![](nnG9kMh.png)

![](2BHXnh4.png)

![](OvJHFII.png)

When you move mouse over “Greet me” it turns red if on Desktop. When clicked, it fades regardless Desktop or phone. An alert appears after clicking and the alert greets you by your full name.

Hint:
- You’re gonna have to do useState

Hit on greeting  :
- Refer to Alert docs [https://reactnative.dev/docs/alert](https://reactnative.dev/docs/alert)  
	- ^Btw there’s also prompt type dialogue
- Alert works on iphone and ios but it gets ignored on web. For web, you run alert
- You need to detect the Platform if it’s web. How to use Platform (Basically `Platform.OS === “web”` )  
	- https://reactnative.dev/docs/platform](https://reactnative.dev/docs/platform)


----

**Given up or comparing after you finished?** 

Answer:
```
import { View, Text, TouchableOpacity, TextInput, Alert, Platform } from "react-native";  
import { useState } from 'react'  
  
const createTwoButtonAlert = (fullName) => {  
  if (Platform.OS === 'web') {  
    alert(`Greetings, ${fullName}`);  
  } else {  
    Alert.alert('Greetings', `Greetings, ${fullName}`, [  
      {  
        text: 'Cancel',  
        onPress: () => console.log('Cancel Pressed'),  
        style: 'cancel',  
      },  
      {text: 'OK', onPress: () => console.log('OK Pressed')},  
    ]);  
  }  
}  
  
export default function App() {  
  const [onHover, setOnHover] = useState(0)  
  const [firstName, setFirstName] = useState("")  
  const [lastName, setLastName] = useState("")  
  
  return (  
    <View  
      style={{  
        flex: 1,  
        width: "100%",  
        justifyContent: "center",  
        alignItems: "center",  
      }}  
    >  
      <TextInput  
        style={{ width:"70%", height: 40, borderColor: 'gray', borderWidth: 1 }}  
        onChangeText={text => setFirstName(text)}  
        value={firstName}  
        placeholder=""  
      ></TextInput>  
  
      <TextInput  
        style={{ width:"70%", height: 40, borderColor: 'gray', borderWidth: 1 }}  
        onChangeText={text => setLastName(text)}  
        value={lastName}  
        placeholder=""  
      ></TextInput>  
  
      <TouchableOpacity  
        onMouseEnter={() => setOnHover(1)}  
        onMouseLeave={() => setOnHover(0)}  
      >  
        <Text   
          onPress={createTwoButtonAlert.bind(this, `${firstName} ${lastName}`)}  
          style={onHover === 1 ? { color: 'red' } : {}}  
        >Greet me</Text>  
      </TouchableOpacity>  
    </View>  
  );  
}
```